#!/bin/sh
if [ "$#" -lt 2 ]; then
    echo "Loads RDF data files into a TDB2 dataset" >&2
    echo "Usage:" >&2
    echo "$0 <TDB2 assembler description> <file> [<file> ...]" >&2
    exit 1
fi

ASSEMBLER=$1
shift
FILES="$@"

java -cp $FUSEKI_HOME/fuseki-server.jar:/javalibs/* tdb2.tdbloader --desc=$ASSEMBLER $FILES
